import { Extension } from '@codemirror/state';
import { HighlightStyle } from '@codemirror/highlight';

/**
The editor theme styles for Material Palenight.
*/
declare const materialPalenightTheme: Extension;
/**
The highlighting style for code in the Material Palenight theme.
*/
declare const materialPalenightHighlightStyle: HighlightStyle;
/**
Extension to enable the Material Palenight theme (both the editor theme and
the highlight style).
*/
declare const materialPalenight: Extension;

export { materialPalenight, materialPalenightHighlightStyle, materialPalenightTheme };
